--Verifica tutti i clienti della APPO_CONTRATTI se hanno la nota fai
--per il singolo cliente [C6StagingPeriodico].[ClienteProdottiAssicurativiVita] 'F','BBNNLL48T52E730L'
CREATE procedure [C6MartPeriodico].[RP_Tipologia_Campione]
as
drop table if exists c6martperiodico.RP_TB_Tipologia_Campione
--per assicurativi
drop table if exists #assicurativi
SELECT distinct rete,cod_fiscale,count(*) as conta
into #assicurativi
from C6MartPeriodico.PATRIMONIO_BF bf
inner join C6STAGINGPERIODICO.RP_CATALOGOPRODOTTI KAT
on bf.COD_PRODOTTO = kat.CatalogueID
where kat.Alberatura in (7,8,9) and
	bf.rete+bf.cod_fiscale in (select rete+COD_FISCALE from C6StagingPeriodico.APPO_CONTRATTI)
group by rete,COD_FISCALE
	select a.rete,a.COD_FISCALE,
	case when f.conta is null then 'NO' 
	else 'SI' end as ASSICURATIVI
	into #assicurativiS
	from C6stagingPeriodico.APPO_CONTRATTI a 
	left join #assicurativi f on a.rete+a.COD_FISCALE=f.RETE+f.COD_FISCALE 
--fine assicurativi
--inizio colonna fai
drop table if exists #fai
SELECT distinct rete,COD_FISCALE, count(*) as Conta
into #fai
FROM [C6MartPeriodico].[PATRIMONIO_BF]
WHERE rtrim(ltrim(cod_interno)) + rtrim(ltrim(cod_sottoprodotto)) IN (
		'IA3364S'
		,'ID8562S'
		,'PE1772S'
		,'IA3447S'
		,'IA3448S'
		)
	and rete+COD_FISCALE in (select rete+COD_FISCALE from C6StagingPeriodico.APPO_CONTRATTI)
	group by rete,COD_FISCALE
	select a.rete,a.COD_FISCALE,
	case when f.conta is null then 'NO' 
	else 'SI' end as FAI
	into #faiS
	from C6stagingPeriodico.APPO_CONTRATTI a left join #fai f on a.rete+a.COD_FISCALE=f.RETE+f.COD_FISCALE 
--fine colonna fai
	select t.rete,
	t.codice_fiscale,
	c.flag_stampa,
	case when t.freq_diagnosi='' then 'NO' else 'SI' end as Diagnosi,
	t.segmento as Segmento,
	case when t.flgprof='N' then 'NO' else 'SI' end as Professionale,
	case when t.ESG='N' then 'NO' else 'SI' end as ESG,
	a.ASSICURATIVI,
	f.FAI--,
--	t.rete+' '+t.codice_fiscale+' '+'Diagnosi='+Diagnosi+'Segmento='--+t.segmento+'Professionale='+t.flgprof+'ESG='+t.ESG+'ASSICURATIVI='+a.ASSICURATIVI+'FAI='+f.FAI 
	--as commento
	into #tipologia_Campione--c6martperiodico.RP_TB_Tipologia_Campione
from C6MartPeriodico.tabellone t inner join C6MartPeriodico.TB_Campione c 
on t.chiave_acn=c.rete+c.cod_fiscale  
left join #assicurativiS a on t.chiave_acn=a.rete+a.COD_FISCALE
left join #FaiS f on t.chiave_acn=f.rete+f.COD_FISCALE
order by t.codice_fiscale
select
rete,
codice_fiscale,
flag_stampa,
Diagnosi,
Segmento,
Professionale,
ESG,
ASSICURATIVI,
FAI,
rete+' '+codice_fiscale+' '+'Diagnosi='+Diagnosi+' '+'Segmento='+segmento+' '+'Professionale='+Professionale+' '+'ESG='+ESG+' '+'ASSICURATIVI='+ASSICURATIVI+' '+'FAI='+FAI as commento
into C6MartPeriodico.RP_TB_Tipologia_Campione
from #tipologia_Campione
select * from C6MartPeriodico.RP_TB_Tipologia_Campione order by codice_fiscale